<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
<!DOCTYPE bugzilla SYSTEM "http://bugs.gentoo.org/bugzilla.dtd">

<bugzilla version="2.22.7"
          urlbase="http://bugs.gentoo.org/"
          maintainer="bugzilla@gentoo.org"
>

    <bug>
          <bug_id>120200</bug_id>
          
          <creation_ts>2006-01-24 09:57 0000</creation_ts>
          <short_desc>gnome-base/gnome-applets-2.12.2 does not build battstat applet without apm or acpi</short_desc>
          <delta_ts>2006-08-20 20:01:22 0000</delta_ts>
          <reporter_accessible>1</reporter_accessible>
          <cclist_accessible>1</cclist_accessible>
          <classification_id>1</classification_id>
          <classification>Unclassified</classification>
          <product>Gentoo Linux</product>
          <component>GNOME</component>
          <version>unspecified</version>
          <rep_platform>PPC</rep_platform>
          <op_sys>Linux</op_sys>
          <bug_status>RESOLVED</bug_status>
          <resolution>FIXED</resolution>
          
          
          
          <priority>P3</priority>
          <bug_severity>minor</bug_severity>
          <target_milestone>---</target_milestone>
          
          
          
          <everconfirmed>1</everconfirmed>
          <reporter>schlotzky@gmx.net</reporter>
          <assigned_to>ppc@gentoo.org</assigned_to>
          <cc>gnome@gentoo.org</cc>
    
    <cc>ppc64@gentoo.org</cc>

      

      
          <long_desc isprivate="0">
            <who>schlotzky@gmx.net</who>
            <bug_when>2006-01-24 09:57:30 0000</bug_when>
            <thetext>gnome-base/gnome-applets-2.12.2 does not build the battstat applet without the useflags &apos;apm&apos; or &apos;acpi&apos;
On the platform other than ppc (and probably ppc64) this might be right, but on ppc neither apm nor acpi is needed.

For me the following worked:

--- /usr/portage/gnome-base/gnome-applets/gnome-applets-2.12.2.ebuild   2006-01-23 00:05:43.000000000 +0100
+++ /usr/local/portage/gnome-base/gnome-applets/gnome-applets-2.12.2.ebuild     2006-01-24 16:01:40.000000000 +0100
@@ -53,10 +53,10 @@
                --enable-flags \
                $(use_enable ipv6)
                $(use_with hal)&quot;
-
-       if ! use apm &amp;&amp; ! use acpi; then
-               G2CONF=&quot;${G2CONF} --disable-battstat&quot;
-       fi
+# we do not need this on ppc
+#      if ! use apm &amp;&amp; ! use acpi; then
+#              G2CONF=&quot;${G2CONF} --disable-battstat&quot;
+#      fi
 }

This just disables the check for the apm and acpi use-flags. Of course this would be wrong on platforms other than ppc, but I don&apos;t know how to determine the platform in an ebuild.

The same applies to the 2.12.1* ebuilds</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>allanonjl@gentoo.org</who>
            <bug_when>2006-01-24 15:18:41 0000</bug_when>
            <thetext>flipping assign and cc to ppc folks.  can you guys verify this and possibly provide an ebuild patch?

Please assign back to gnome when done.

Thanks!</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>josejx@gentoo.org</who>
            <bug_when>2006-01-25 14:03:08 0000</bug_when>
            <thetext>As far as I can tell from looking at the source, battstat does not have pmu specific code.  There is an apm emulation option in the kernel, perhaps the reporter is using this.  If so, the apm use flag should be enabled.  The other option is to get the battery info from hal.  As far as I know, hal does use the pmu and can report battery life without the apm layer, so in this case, it could be enabled without apm and acpi, but would depend on hal.

I guess I should pass this back to the gnome folks, what do you think considering the above?</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>schlotzky@gmx.net</who>
            <bug_when>2006-01-26 05:12:35 0000</bug_when>
            <thetext>(In reply to comment #2)
&gt; As far as I can tell from looking at the source, battstat does not have pmu
&gt; specific code.  There is an apm emulation option in the kernel, perhaps the
&gt; reporter is using this.  If so, the apm use flag should be enabled.  The other
&gt; option is to get the battery info from hal.  As far as I know, hal does use the
&gt; pmu and can report battery life without the apm layer, so in this case, it
&gt; could be enabled without apm and acpi, but would depend on hal.

Ok, you&apos;re right. Of course I had the apm emulation switched on in the kernel, but now that I have removed the apm emulation from the kernel battstat still works.

But if I stop either hald or dbus it dosn&apos;t work anymore which suggests a hal use flag.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>josejx@gentoo.org</who>
            <bug_when>2006-05-25 17:22:05 0000</bug_when>
            <thetext>gnome team, do you have any further input?  Should there be a hal dep?</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>dang@gentoo.org</who>
            <bug_when>2006-05-25 20:01:06 0000</bug_when>
            <thetext>gnome-applets alreay has a dep on hal, based on the hal use flag.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>josejx@gentoo.org</who>
            <bug_when>2006-07-08 17:09:55 0000</bug_when>
            <thetext>The point is that on PPC, hal is enough for battery info, apm or acpi isn&apos;t required.  Can we add hal to the check?</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>dang@gentoo.org</who>
            <bug_when>2006-07-09 18:58:03 0000</bug_when>
            <thetext>Sure.  Something like this:

Index: gnome-applets-2.12.2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/gnome-base/gnome-applets/gnome-applets-2.12.2.ebuild,v
retrieving revision 1.12
diff -u -p -r1.12 gnome-applets-2.12.2.ebuild
--- gnome-applets-2.12.2.ebuild 3 Feb 2006 19:52:35 -0000       1.12
+++ gnome-applets-2.12.2.ebuild 10 Jul 2006 01:57:18 -0000
@@ -54,7 +54,11 @@ pkg_setup() {
                $(use_enable ipv6)
                $(use_with hal)&quot;

-       if ! use apm &amp;&amp; ! use acpi; then
+       if ! use ppc &amp;&amp; ! use apm &amp;&amp; ! use acpi; then
+               G2CONF=&quot;${G2CONF} --disable-battstat&quot;
+       fi
+
+       if use ppc &amp;&amp; ! use apm &amp;&amp; ! use hal; then
                G2CONF=&quot;${G2CONF} --disable-battstat&quot;
        fi
 }


Could someone with a ppc test this?</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>schlotzky@gmx.net</who>
            <bug_when>2006-07-10 04:08:01 0000</bug_when>
            <thetext>(In reply to comment #7)
I have tested the patch on ppc and it works very well.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>josejx@gentoo.org</who>
            <bug_when>2006-08-20 08:05:51 0000</bug_when>
            <thetext>This works for me as well. Please apply it! :)</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>dang@gentoo.org</who>
            <bug_when>2006-08-20 20:01:22 0000</bug_when>
            <thetext>applied.</thetext>
          </long_desc>
      
    </bug>

</bugzilla>